<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<BASE target=_self>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    String sModule = SzConvert.toSpaceStr(request.getParameter("module"));
    String formName = SzConvert.toSpaceStr(request.getParameter("formName"));
    int iFormID = SzConvert.toInt(request.getParameter("formID"));
	String sType  = SzConvert.toZeroStr(request.getParameter("type"));	//关联的ID
	String sPKEY  = SzConvert.toZeroStr(request.getParameter("PKEY"));	//主表单信息ID
	String sPFORM = SzConvert.toZeroStr(request.getParameter("PFORM"));	//主表单ID    
    
    //获得要导出的字段
    String s = ""; 
    if (sModule.equals("NewCustomerInfo")) {
    } else if (sModule.equals("CustomerInfo")) {
    } else if (sModule.equals("AssetsInfo")) {    		
    } else if (sModule.equals("ModuleImport")) {
    } else if (sModule.equals("MailServer")) {
    } else if (sModule.equals("LoginInfoImport")) {
    } else if (sModule.equals("FormZipImport")) { 
	//表单的导入
    } else {
    	BdValueControl bdValueControl = new BdValueControl();
    	if (iFormID >0) {
    		bdValueControl.setModuleInfo(iFormID);
    	} else if (!sModule.equals("") && !formName.equals(""))  {    		
    		bdValueControl.setModuleInfo(sModule, formName);
    	}
    	s = bdValueControl.getImportFieldName();
    }
    
%>
<body>
<table width="100%" align="center">
  <form name="formUpdate" method="post"  ENCTYPE="multipart/form-data">
  <input type="hidden" name="module" value="<%=sModule %>" >
  <input type="hidden" name="formName" value="<%=formName %>" >
  <input type="hidden" name="formID" value="<%=iFormID%>" >    
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">  
  <input type="hidden" name="PFORM" value="<%=sPFORM%>">   
  <tr> 
   <% if (!sModule.equals("FormZipImport")) { %>  
    <td><b>excel对应的列：</b><br>
   <% } else {} %>
    <% if (sModule.equals("NewCustomerInfo")) { %>
	行业分类,状态分类,风险分类,价值分类,预留分类1<br>
	预留分类2,客户编号,客户名称,联系地址,行业<br>
	结帐类别,邮寄地址,邮政编码,城市,省份<br>
	国家,公司电话,公司传真,主页,公司邮箱<br>
	备注,联系人姓名1,联系人部门1,联系人职位1,联系人电话1<br>
	联系人邮件1,联系人备注1,联系人姓名2,联系人部门2,联系人职位2<br>
	联系人电话2,联系人邮件2,联系人备注2,联系人姓名3,联系人部门3<br>
	联系人职位3,联系人电话3,联系人邮件3,联系人备注3,财务编号<br>

    <% } else if (sModule.equals("CustomerInfo")) { %>
	行业分类,状态分类,风险分类,价值分类,预留分类1<br>
	预留分类2,客户编号,客户名称,联系地址,行业<br>
	结帐类别,邮寄地址,邮政编码,城市,省份<br>
	国家,公司电话,公司传真,主页,公司邮箱<br>
	备注,联系人姓名1,联系人部门1,联系人职位1,联系人电话1<br>
	联系人邮件1,联系人备注1,联系人姓名2,联系人部门2,联系人职位2<br>
	联系人电话2,联系人邮件2,联系人备注2,联系人姓名3,联系人部门3<br>
	联系人职位3,联系人电话3,联系人邮件3,联系人备注3<br>

    <% } else if (sModule.equals("MailServer")) { %>
    服务器地址,pop3地址,smtp地址,是否需要验证,说明
    <% } else if (sModule.equals("ModuleImport")) { %>
    模块ID，模块名称，模块编号，图片1，图片2，连接地址，连接窗口，模块属性，权限属性<br>
    <% } else if (sModule.equals("LoginInfoImport")) { %>
    部门名称，职务名称，登陆帐号，用户姓名，登陆密码，性别，出生年月，手机号码，电子邮箱，员工编号，联系电话，入职日期<br>
   <br><br> 
   <a target='_blank' href='../../upload/importTemplate/userImportTemplate.xls'>下载excel导入模板,第一行不导入</a>
    <% } else if (sModule.equals("AssetsInfo")) { %>
    "分类名称","条目名称","条目编号","规格型号","计量单位",<br>
    "购进时间","原值","存放位置","入库时间","用途"<br><br>

    <font color='red'><b>注意：</b></font>最少具备前三个字段。分类名称必须在分类中存在。
    <% } else if (sModule.equals("FormZipImport")) { %>
    <font color='red'><b>注意：</b></font>如果模块已经存在，会直接覆盖。
    <%
      } else {
      	//表单
    	out.println(s);
      	out.println("<br><br>");
      	out.println("<a target='_blank' href='../../upload/importTemplate/" + sModule + "-" + formName +"-temp.xls'>下载excel导入模板,第一行不导入</a>");
      }
    %>    

    </td>
  </tr>
  <tr>
    <td align="center">
      <% if (!sModule.equals("FormZipImport")) { %>  
      请选择要导入的excel文件(只支持xls格式,没有值的列要保留空值):<br>
      <% } else { %>
      请选择要导入的表单文件(formEngine)(请确保formEngine文件是从表单系统导出的):<br>
      <% } %>
      <input type="file" name="fileImport" class="txtClass2">
    </td>
  </tr>
  <tr>
    <td align="center">
      <input type="button" class="btnClass" value="确定" OnClick="javascript:FormSave(formUpdate, 'excel_import_control.jsp');">
    </td>
  </tr>
  </form>
</table>

<script language="javascript" src="../../share/js/commonTool.js"></script>
<script language="javascript">
  function FormSave(formName, url) {
    if (!notSpace(formName.fileImport, "要导入的文件")) {
      return false;
    }    
    document.getElementById("divLine").style.display = "block";
    formName.action = url;
    formName.submit();
  }
</script>
<div id="divLine" class="divLine" align="center" style="position:absolute;width:350;height:150px;left:150px;top:150px;padding:60px 0 0 0; margin:0px;overflow:auto;overflow:hidden;display:none; background-color:#dbdbdb;">
	<img src="<%=strSkin_SESSION%>/bar.gif">
</div><!---------------------------------------------------------------20120112 ting----------------------------------------->

</body>